## gst-plugins-bad1.0 1.24.7

=== debian/changelog ===
gst-plugins-bad1.0 (1.24.7-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Build webrtc support
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev
  * Remove unused Build-Depends: libiptcdata0-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Aug 2024 17:19:06 -0400

gst-plugins-bad1.0 (1.24.7-1) unstable; urgency=medium

  * d/rules: debian-rules-parses-dpkg-parsechangelog
  * New upstream version 1.24.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 21 Aug 2024 17:28:03 +0200
