## gst-plugins-bad1.0 1.24.8

=== debian/changelog ===
gst-plugins-bad1.0 (1.24.8-2ubuntu1) oracular; urgency=medium

  * Merge with Debian (LP: #2082087). Remaining changes:
    - Build webrtc support
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Sep 2024 08:56:43 -0400

gst-plugins-bad1.0 (1.24.8-2) unstable; urgency=medium

  * Team upload
  * Stop buildling the intel-mediasdk support: no longer developed by Intel

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Sep 2024 08:52:08 -0400

gst-plugins-bad1.0 (1.24.8-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Remove unused Build-Depends: libiptcdata0-dev

  [ Marc Leeman ]
  * New upstream version 1.24.8

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 19 Sep 2024 14:23:17 +0200
