=== debian/control ===
--- 
+++ 
@@ -52,7 +52,6 @@
                liblilv-dev (>= 0.22),
                liblrdf0-dev [!i386],
                libltc-dev (>= 1.1.4) [!i386],
-               libmfx-dev [amd64],
                libmjpegtools-dev (>= 2.0.0),
                libmodplug-dev,
                libmpcdec-dev,
