=== debian/control ===
--- 
+++ 
@@ -56,6 +56,7 @@
                libmpcdec-dev,
                libneon27-dev,
                libnice-dev (>= 0.1.20),
+               libonnxruntime-dev [amd64 arm64 armhf riscv64],
                libopenal-dev (>= 1:1.14),
                libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
                libopenexr-dev,
@@ -261,4 +262,3 @@
  which operate on media data.  Applications using this library can do
  anything from real-time sound processing to playing videos, and just
  about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
