## gst-plugins-bad1.0 1.24.11

=== debian/changelog ===
gst-plugins-bad1.0 (1.24.11-3) unstable; urgency=medium

  * d/rules: remove modules that break hurd-any (Closes: #1091759)
  * d/patches: fix build without wayland

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 09 Jan 2025 14:04:09 +0100

gst-plugins-bad1.0 (1.24.11-2) unstable; urgency=medium

  * d/rules: disable gudev support for hurd architectures

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 08 Jan 2025 15:32:41 +0100

gst-plugins-bad1.0 (1.24.11-1) unstable; urgency=medium

  * d/rules: disable compiling gl for hurd archs
  * New upstream version 1.24.11

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 08 Jan 2025 10:24:23 +0100

gst-plugins-bad1.0 (1.24.10-3) unstable; urgency=medium

  * d: disable directfb support (Closes: #1083040)

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 03 Jan 2025 15:41:11 +0100
